[arch-commits] Commit in libassuan/trunk (PKGBUILD libassuan.install)

Tobias Powalowski tpowa at archlinux.org
Tue Jul 12 03:35:37 EDT 2011


    Date: Tuesday, July 12, 2011 @ 03:35:37
  Author: tpowa
Revision: 131235

upgpkg: libassuan 2.0.2-1
bump to latest version

Added:
  libassuan/trunk/libassuan.install
Modified:
  libassuan/trunk/PKGBUILD

-------------------+
 PKGBUILD          |    5 +++--
 libassuan.install |   20 ++++++++++++++++++++
 2 files changed, 23 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2011-07-12 03:28:00 UTC (rev 131234)
+++ PKGBUILD	2011-07-12 07:35:37 UTC (rev 131235)
@@ -2,7 +2,7 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=libassuan
-pkgver=2.0.1
+pkgver=2.0.2
 pkgrel=1
 pkgdesc="A IPC library used by some GnuPG related software"
 arch=('i686' 'x86_64')
@@ -11,6 +11,7 @@
 depends=('libgpg-error')
 options=('!libtool')
 source=(ftp://ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2)
+install=libassuan.install
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -22,4 +23,4 @@
   cd ${srcdir}/${pkgname}-${pkgver}
   make DESTDIR=${pkgdir} install
 }
-md5sums=('53a7d4c22af909d7236d17d454ef935b')
+md5sums=('3e7d00fd2ee8a0b9c51ac7616ef3f1ec')

Added: libassuan.install
===================================================================
--- libassuan.install	                        (rev 0)
+++ libassuan.install	2011-07-12 07:35:37 UTC (rev 131235)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(assuan.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list